var guide_8dox =
[
    [ "The NetCDF User's Guide", "guide_8dox.html#user_guide", null ],
    [ "The Purpose of NetCDF", "guide_8dox.html#netcdf_summary", null ],
    [ "An Introduction to NetCDF", "netcdf_introduction.html", [
      [ "The NetCDF Interface", "netcdf_introduction.html#netcdf_interface", null ],
      [ "The netCDF File Format", "netcdf_introduction.html#netcdf_format", [
        [ "How to Select the Format", "netcdf_introduction.html#select_format", null ],
        [ "NetCDF Classic Format", "netcdf_introduction.html#classic_format", null ],
        [ "NetCDF-4 Format", "netcdf_introduction.html#netcdf_4_format", null ]
      ] ],
      [ "What about Performance?", "netcdf_introduction.html#performance", null ],
      [ "Creating Self-Describing Data conforming to Conventions", "netcdf_introduction.html#creating_self", null ],
      [ "Limitations of NetCDF", "netcdf_introduction.html#limitations", null ]
    ] ],
    [ "File Structure and Performance", "file_structure_and_performance.html", [
      [ "Parts of a NetCDF Classic File", "file_structure_and_performance.html#classic_file_parts", null ],
      [ "Parts of a NetCDF-4 HDF5 File", "file_structure_and_performance.html#parts_of_netcdf4", null ],
      [ "The Extended XDR Layer", "file_structure_and_performance.html#xdr_layer", null ],
      [ "Large File Support", "file_structure_and_performance.html#large_file_support", null ],
      [ "NetCDF 64-bit Offset Format Limitations", "file_structure_and_performance.html#offset_format_limitations", null ],
      [ "NetCDF Classic Format Limitations", "file_structure_and_performance.html#classic_format_limitations", null ],
      [ "The NetCDF-3 I/O Layer", "file_structure_and_performance.html#netcdf_3_io", null ],
      [ "Parallel Access with NetCDF-4", "file_structure_and_performance.html#parallel_access", null ],
      [ "Interoperability with HDF5", "file_structure_and_performance.html#interoperability_with_hdf5", null ],
      [ "DAP Support", "file_structure_and_performance.html#dap_support", [
        [ "OPeNDAP Data", "file_structure_and_performance.html#Accessing", null ],
        [ "DAP to NetCDF Translation Rules", "file_structure_and_performance.html#dap_to_netcdf", [
          [ "netCDF-3 Translation Rules", "file_structure_and_performance.html#nc3_trans_rules", null ]
        ] ],
        [ "Variable Dimension Translation", "file_structure_and_performance.html#var_dim_trans", [
          [ "Dimension translation", "file_structure_and_performance.html#dim_trans", null ]
        ] ],
        [ "Variable Name Translation", "file_structure_and_performance.html#var_name_trans", [
          [ "Translating DAP DDS Sequences", "file_structure_and_performance.html#translation", null ],
          [ "Caching", "file_structure_and_performance.html#caching", null ],
          [ "Defined Client Parameters", "file_structure_and_performance.html#defined_params", null ],
          [ "Notes on Debugging OPeNDAP Access", "file_structure_and_performance.html#dap_debug", null ],
          [ "HTTP Configuration.", "file_structure_and_performance.html#http_config", null ]
        ] ]
      ] ]
    ] ],
    [ "The Components of a NetCDF Data Set", "netcdf_data_set_components.html", [
      [ "The Data Model", "netcdf_data_set_components.html#data_model", [
        [ "Data Model in NetCDF-4/HDF5 Files", "netcdf_data_set_components.html#Enhanced", null ]
      ] ],
      [ "Dimensions", "netcdf_data_set_components.html#dimensions", null ],
      [ "Variables", "netcdf_data_set_components.html#variables", null ],
      [ "Coordinate Variables", "netcdf_data_set_components.html#coordinate_variables", null ],
      [ "Attributes", "netcdf_data_set_components.html#attributes", null ],
      [ "Differences between Attributes and Variables", "netcdf_data_set_components.html#differences_atts_vars", null ],
      [ "NetCDF Names", "netcdf_data_set_components.html#object_name", [
        [ "Characters in NetCDF Names", "netcdf_data_set_components.html#Permitted", null ],
        [ "Length", "netcdf_data_set_components.html#Name", null ],
        [ "Conventions", "netcdf_data_set_components.html#NetCDF", null ]
      ] ],
      [ "Is NetCDF a Good Archive Format?", "netcdf_data_set_components.html#archival", null ],
      [ "Attribute Conventions", "netcdf_data_set_components.html#attribute_conventions", [
        [ "Units", "netcdf_data_set_components.html#units", null ],
        [ "Long Name", "netcdf_data_set_components.html#long_name", null ],
        [ "FillValue", "netcdf_data_set_components.html#_FillValue", null ],
        [ "Missing Value", "netcdf_data_set_components.html#missing_value", null ],
        [ "Scale Factor", "netcdf_data_set_components.html#scale_factor", null ],
        [ "Add Offset", "netcdf_data_set_components.html#add_offset", null ],
        [ "Coordinates", "netcdf_data_set_components.html#coordinates", null ],
        [ "Signedness", "netcdf_data_set_components.html#signedness", null ],
        [ "C Format", "netcdf_data_set_components.html#C_format", null ],
        [ "FORTRAN format", "netcdf_data_set_components.html#FORTRAN_format", null ],
        [ "Title", "netcdf_data_set_components.html#title", null ],
        [ "History", "netcdf_data_set_components.html#history", null ],
        [ "Conventions", "netcdf_data_set_components.html#Conventions", null ]
      ] ],
      [ "Background and Evolution of the NetCDF Interface", "netcdf_data_set_components.html#background", null ],
      [ "The Remote Data Access Client", "netcdf_data_set_components.html#remote_client", null ],
      [ "Data Access", "netcdf_data_set_components.html#data_access", null ],
      [ "Forms of Data Access", "netcdf_data_set_components.html#forms_of_data_access", null ],
      [ "A C Example of Array-Section Access", "netcdf_data_set_components.html#c_array_section_access", null ]
    ] ],
    [ "Improving Performance with Chunking", "netcdf_perf_chunking.html", [
      [ "The Chunk Cache", "netcdf_perf_chunking.html#chunk_cache", null ],
      [ "The Default Chunking Scheme", "netcdf_perf_chunking.html#default_chunking_4_1", null ],
      [ "Chunking and Parallel I/O", "netcdf_perf_chunking.html#chunking_parallel_io", null ],
      [ "A Utility to Help Benchmark Results: bm_file", "netcdf_perf_chunking.html#bm_file", null ]
    ] ],
    [ "NetCDF Utilities", "netcdf_utilities_guide.html", [
      [ "CDL Guide", "netcdf_utilities_guide.html#cdl_guide", [
        [ "CDL Syntax", "netcdf_utilities_guide.html#cdl_syntax", null ],
        [ "CDL Data Types", "netcdf_utilities_guide.html#cdl_data_types", null ],
        [ "CDL Notation for Data Constants", "netcdf_utilities_guide.html#cdl_constants", null ]
      ] ],
      [ "ncdump", "netcdf_utilities_guide.html#guide_ncdump", [
        [ "ncdump synopsis", "netcdf_utilities_guide.html#ncdump_SYNOPSIS", null ],
        [ "ncdump description", "netcdf_utilities_guide.html#ncdump_DESCRIPTION", null ],
        [ "ncdump options", "netcdf_utilities_guide.html#ncdump_OPTIONS", null ],
        [ "ncdump examples", "netcdf_utilities_guide.html#ncdump_EXAMPLES", null ],
        [ "SEE ALSO", "netcdf_utilities_guide.html#see_also_ncdump", null ],
        [ "NOTE ON STRING OUTPUT", "netcdf_utilities_guide.html#ncdump_string_note", null ]
      ] ],
      [ "nccopy", "netcdf_utilities_guide.html#guide_nccopy", [
        [ "nccopy synopsis", "netcdf_utilities_guide.html#nccopy_SYNOPSIS", null ],
        [ "nccopy description", "netcdf_utilities_guide.html#nccopy_DESCRIPTION", null ],
        [ "nccopy options", "netcdf_utilities_guide.html#nccopy_OPTIONS", null ],
        [ "nccopy examples", "netcdf_utilities_guide.html#nccopy_EXAMPLES", null ],
        [ "SEE ALSO", "netcdf_utilities_guide.html#see_also_nccopy", null ]
      ] ],
      [ "ncgen", "netcdf_utilities_guide.html#guide_ncgen", null ],
      [ "ncgen3", "netcdf_utilities_guide.html#guide_ncgen3", null ]
    ] ],
    [ "File Format Specifications", "file_format_specifications.html", [
      [ "The NetCDF Classic Format Specification", "file_format_specifications.html#classic_format_spec", null ],
      [ "Notes on Computing File Offsets", "file_format_specifications.html#computing_offsets", [
        [ "Examples", "file_format_specifications.html#offset_examples", null ]
      ] ],
      [ "The 64-bit Offset Format", "file_format_specifications.html#offset_format_spec", null ],
      [ "The NetCDF-4 Format", "file_format_specifications.html#netcdf_4_spec", [
        [ "Creation Order", "file_format_specifications.html#creation_order", null ],
        [ "Groups", "file_format_specifications.html#groups_spec", null ],
        [ "Dimensions with HDF5 Dimension Scales", "file_format_specifications.html#dims_spec", null ],
        [ "Dimensions without HDF5 Dimension Scales", "file_format_specifications.html#dim_spec2", null ],
        [ "Dimension and Coordinate Variable Ordering", "file_format_specifications.html#dim_spec3", null ],
        [ "Variables", "file_format_specifications.html#vars_spec", null ],
        [ "Attributes", "file_format_specifications.html#atts_spec", null ],
        [ "User-Defined Data Types", "file_format_specifications.html#user_defined_spec", null ],
        [ "Compression", "file_format_specifications.html#compression_spec", null ]
      ] ],
      [ "The NetCDF-4 Classic Model Format", "file_format_specifications.html#netcdf_4_classic_spec", null ],
      [ "HDF4 SD Format", "file_format_specifications.html#hdf4_sd_format", null ]
    ] ]
];